Posts by JDD

Reminder: If you encounter any issues with Enscape (including installation problems) or your subscription please reach out to our dedicated support team directly through the Help Center or by using the Support button as detailed here. Thank you for your understanding.

    Hi there,


    I've try to ask the same question (using exactly the same wording as above) to ChatGPT AI engine.


    Here after the anwer of the robot :


    To create a horizon background file that will work well with Enscape, you will need to follow a few steps:

    1. First, you will need to create a 360-degree panorama. There are many ways to do this, including using a specialized camera or stitching together multiple photographs.
    2. Once you have your panorama, you will need to resize it to the correct dimensions, which are 4096 x 700 pixels. You can use an image editing software such as Adobe Photoshop or GIMP to do this.
    3. You will also need to ensure that the horizon line is located approximately 315 pixels from the top of the image. This is because Enscape uses the horizon line as a reference point for the sky and ground in the virtual environment. If the horizon line is not in the correct location, the sky and ground may not align correctly in the Enscape view.
    4. Finally, you will need to save your panorama as a PNG file. This file format is recommended because it supports transparency, which can be useful when blending the horizon into the Enscape environment.

    Once you have completed these steps, your custom horizon background file should work well with Enscape. Keep in mind that the quality of the final result will depend on the quality of your original panorama, so it is important to use a high-resolution image to get the best results.


    What's do yo think about this answer, correct or not ? Incredible !

    Hi there,


    All horizon background files provided with Enscape and located in ..\Enscape\Renderer\SystemData\Textures\Horizons, are in PNG format and 4096 x 700 px (72dpi) resolution.


    But how to create my own horizon file working well with this same resolution?


    It seams also that the horizon line is not located at half height (350 px) of the panorama but closer to 315 px


    What is the correct workflow I've to follow with my own 360 panorama to reach same result as the one supplied in Enscape ?

    Hello,


    my preference for running *.rb scripts directly is to use the following plugin.


    On-Demand Ruby / Extension Loader for SketchUp by Alex Schreyer

    Personnaly I prefer the one writen by "Aerilius" and available at SketchUp Pluging Store HERE, as you can see in above screenshots.


    Here attached (in a ZIP container) the script above but rewriten as a plugin (JDD_SortPages.rbz), so no need to reload it each time in the console.

    When installed , it will be available in "View" SketchUp menu toolbar as " Sort Pages (scenes) in Alphabetical order".

    Just remane the .zip extension to .rbz before installation


    Hello,

    The following Ruby code is better than the one above. Please use this one.


    Hello,

    I was hoping to rearrange the scenes to be in alphabetical order... not rename them.

    So, in this case you could try this code in sketchUp Ruby Console.

    You can save it with .rb extension using the name you want and place it in your Sketchup "Plugins" folder. Then you can reload any time you need this script using the SketchUp Ruby Console with the command load "myscript.rb"


    See attached screenshot on an example


    Hello,

    .., I just looked thoroughly for a simply ruby script to reorder scenes by name in Sketchup

    If you want a single ruby script to batch reorder scenes by name in Sketchup, here a simple solution you could try:


    This single line ruby script will rename all scene tabs in order with a prefix of your choise, for example 'ESC1', 'ESC2','ESC3' etc..

    A dialog box lets you type any desired "Prefix"


    Code
    n=inputbox(["Prefix: "],["N"],"Scene_Rename");Sketchup.active_model.pages.each_with_index{|p,i|p.name="#{n[0]} #{i+1}"}if n;puts


    Simply Copy Paste and Enter this code into the SketchUp Ruby console.


    Here some screenshots


    Hello hbc_visual,


    With Keyshot, you can find such 3D Configurator that link sketchUp model.

    Have a look here :

    External Content youtu.be
    Content embedded from external sources will not be displayed without your consent.
    Through the activation of external content, you agree that personal data may be transferred to third party platforms. We have provided more information on this in our privacy policy.

    OK Adam.Fairclough.

    Sure, Open Shading Language (OSL) is not yet supported neither by SketchUp nor by Enscape.

    Here I'm using Box Wrapping method to create that fake effect, without OSL support, just an unwrapped box and Parallax Maps are required.

    If agreed, I can change the Tittle of the tread by something like "Box Wrapping method using Parallax Map in SketchUp and Enscape".

    But not sure if it's possible from my side to change the tittle,

    Hello,


    Here after a workflow I've recently used to create realistic fake interiors within SketchUp and Enscape using wParallax and Shadersbox OSL shader.


    Last thread on this matter opened by jtubb and now closed is Here


    Below is a quick example modeled in SketchUp (2021) and then rendered in Enscape 3D.




    The workflow used is as follows:


    I use for this example some elements contained in the free downloadable package from wParallax (Here)


    The elements used are:


    A simple box in fbx format whose UVs are correctly prepared for this application (this is the wP_Box.fbx file)

    One of the 6 textures of your choice in exr format delivered in the pack


    Then, I use these files in Blender and Photoshop before exporting the textured box to SketchUp in Colada (.dae) format as follows:


    1 - In Photoshop, open one of the 6 textures supplied in .exr format and then simply export this image as a PNG

    2 - In Blender, in an empty page, import the cube (wP_Box.fbx) which is in FBX format. This cube has a central dividing wall and therefore has 7 faces.

    3 - In Blender, go to the "Shading" workbench to apply a new material to this cube (which does not have any when imported)

    4 - By default, Blender then applies a base material with a 'Principled BSDF' type node coupled at the output with a "Material Output" node and on the input side with a "Normal Map" node connected to the Normal slot

    5 - Delete the "Normal Map" node

    6 - Add an "Image texture" node

    7 - Connect the Color slot of the "Image Texture" node to the "Emission" slot of the "BSDF" node

    8 - Connect the Alpha slot of the "Image Texture" node to the "Alpha" slot of the "BSDF" node

    9 - In the "BSDF" node force the "BaseColor" to Black

    10 - Set to zero all the other values of the miscellaneous color parameters of the "BSDF" node

    11 - In the "BSDF" node set the value of "Emission Strength" to 2 (can be adjusted if necessary later)

    12 - In the "Image Texture" node, import one of the previously converted OSL textures in PNG format


    Note 1: if we stay in Blender, the OSL shader texture can be used in the native EXR format


    At the end of these operations, you can, in render mode (with Cycles or Eevee), observe this effect on the cube.


    Note 2: If you use Eevee for rendering, you must remember to switch to the material properties palette, in the Settings tab, the Blend Mode in "Alpha Blend" mode


    13 - Now simply export the cube (selected) in Colada format from Blender.

    In the Colada export Settings panel, "Copy" must be ticked in the "Texture Options"

    Note : If you don't find a copy of the texture where you have exported your Colada file, go back in Blender to the Shader Editor and add another connection between the "Image Texture" Color slot and the "BSDF" Color" input slot.


    14 - In SketchUp, import the cube in the generated Colada format, to admire the result, all the inner parts of the cube are textured and the desired effect visible.


    15 - Then open in sketchUp, the Enscape materials editor and check that the texture used in Blender is applied to the "Albedo" Map and the "Transparency" Map.


    16 - Then, it remains to insert the cube in the desired place of a building model to exploit it and make a final rendering in Enscape.


    17 - Save the Cube component obtained in SKP format in a personal library to be able to import it into other models later.


    18 - Do this with the 6 textures provided free of charge by wParallax (Here) as well as with the 12 free textures provided by Shadersbox Starter Kit (here) to build your little library.


    Below are some Blender screenshots to clarify my prose.




    Wondering if anyone here has experience using Curic Scene Manager plugin?

    Yes, Curic Scene Manager is a very good plugin to manage scene in SketchUp, and it's Free.

    Curic Scene Manager requires an additional Curic plugin, Curic Sections, to benefit from all its possibilities (send to Layout, Export to DXF an Update Section)


    JDD

    I have to add a letter prefix to all of my views to see them listed the way I want in Enscape, which is a waste of time and actually falls apart if I then have to insert extra views.

    In the meantime, you can use the SceneRename plugin from Smustard in SketchUp, which allows you to rename and renumber all the scenes in just one click.

    This free plugin is available HERE

    At the end of the day, I was able to accomplish it in Photoshop using the warp tool to get the general effect.

    If not confidential, could you be so kind as to publish here some effects you've got with your method ?

    Hello,


    I've a look here from 23:01 / 36:25, one method is described there.


    External Content youtu.be
    Content embedded from external sources will not be displayed without your consent.
    Through the activation of external content, you agree that personal data may be transferred to third party platforms. We have provided more information on this in our privacy policy.

    Hey ZO,


    For Piping line only, I'm using a very old plugin called lines2tubes.rb and written by Didier Bur

    Can be downloaded from HERE


    This plugin will turn a bunch of lines, arcs, circles, curves, etc. into cylinders of a given diameter.

    It doesn't matter if they are connected, just select the linework, go to Tools --> "Convert circles, arcs, curves, lines to cylinders".

    Personally, all lines, curves, arcs, etc. of the pipe routing are connected using the Weld plugin (from TIG or from Smustard) prior to apply this plugin.